<template>
	<div class="pc-a25 diy_pc-box" :style="{'background':item.background_image?'linear-gradient(to top,rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.3)), url('+item.background_image+') repeat-y left top/100% auto':''}">
		<div class="content">
			<div class="left_title_one-box">
				<div class="left_title_one">
					<div class="title-box">
						<p class="title-cn">爆品优选</p>
						<p class="slash-line">/</p>
						<p class="sub-title">hotsale</p>
					</div>
					<div class="more_btn-box">
						<p class="more-btn" @click.stop="splicingUrl('index/search/index',['category_id'],[fenleiid])">MORE｜更多</p>
					</div>
				</div>
				<div class="short-line"></div>
				<div class="long-line"></div>
				<div class="tabs-box">
					<p :class="[tab.id==fenleiid?'active':'','tab']" @click.stop="changetab(tab.id)" v-for="(tab,tabindex) of item.data.fenlei" :key="tabindex">{{tab.name}}</p>
				</div>
			</div>
			<template v-for="(fenlei,fenleiindex) of item.data.fenlei">
				<div class="goods_list-box" v-if="fenlei.id==fenleiid">
					<div class="goods-small" @click.stop="splicingUrl('index/goods/index',['id','bid'],[goodsinfo.id,goodsinfo.base_id])" v-for="(goodsinfo,goodsindex) of item.data.gd_list[fenlei.id].slice(0,4)">
						<div class="goods_image-box">
							<img :src="goodsinfo.images+'?x-oss-process=image/resize,m_fill,w_435,h_315,limit_0/quality,q_100'" class="goods-image" />
							<p class="goods-brand" v-if="goodsinfo.brand_name">{{goodsinfo.brand_name}}</p>
						</div>
						<div class="goods-info">
							<p class="goods-title">{{goodsinfo.title}}</p>
							<p class="goods-price" v-if="!isNaN(goodsinfo.price)"><span class="currency">{{currency}}</span>{{goodsinfo.price}}</p>
							<p class="goods-price" v-else>{{goodsinfo.price}}</p>
						</div>
					</div>
				</div>
			</template>
		</div>
	</div>
</template>

<script>
	module.exports = {
		name: 'pca25',
		data() {
			return {
				currency: currency,
				fenleiid: 0
			}
		},
		props: {
			item: {
				type: Object,
				default: () => {}
			},
		},
		mounted() {
			this.fenleiid = this.item.data.fenlei[0].id;
		},
		methods: {
			splicingUrl(searchurl, paramName, param) {
				splicingUrl(searchurl, paramName, param,'blank');
			},
			changetab(tabid) {
				this.fenleiid = tabid;
			}
		}
	}
</script>